package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * 室外环境信息表
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Data
@TableName("mgt_outdoor_environment")
public class OutdoorEnvironmentEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    private Integer id;
    /**
     * 日期
     */
    private Date date;
    /**
     * 采集时间
     */
    private Date collectTime;
    /**
     * 删除状态 0正常 1已删除
     */
    @TableLogic
    private Boolean deleted;
    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date gmtCreate;
    /**
     * 修改时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date gmtModified;

}
