package com.huimv.apiservice.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huimv.apiservice.entity.EmployeeEntity;
import com.huimv.apiservice.entity.YearPigBaseEntity;
import com.huimv.apiservice.entity.vo.PigBaseVo;
import org.mapstruct.Mapper;
import org.springframework.stereotype.Repository;

/**
 * @Author yinhao
 * @Date 2021/5/8 17:22
 * @Description
 */
@Mapper
@Repository
public interface PigDao extends BaseMapper<YearPigBaseEntity> {

    EmployeeEntity selectFeederInfoByPigEarTagNo(String pigEarTagNo);

    String selectPastureNameByPigstyId(Integer pigstyId);

    IPage<PigBaseVo> selectPagePigBaseVoByBreedName(IPage<PigBaseVo> page, String breedName);
}
